Mettre à jour un domaine
curl --request PUT \
--url https://api.taap.it/v1/domains/{domain_id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>"
}
'import requests
url = "https://api.taap.it/v1/domains/{domain_id}"
payload = { "description": "<string>" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://api.taap.it/v1/domains/{domain_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"domain": "<string>",
"description": "<string>",
"is_verified": true,
"updated_at": "<string>"
}API Domaines
Mettre à jour un domaine
Mettre à jour les détails d’un domaine existant
PUT
/
v1
/
domains
/
{domain_id}
Mettre à jour un domaine
Requête :
Réponse :
cURL
curl -X PUT 'https://api.taap.it/v1/domains/domain_987654321' \
-H 'Authorization: Bearer taapit_your_api_key_here' \
-H 'Content-Type: application/json' \
-d '{
"description": "Updated description for the domain"
}'
{
"id": "domain_987654321",
"domain": "links.yourcompany.com",
"description": "Updated description for the domain",
"is_verified": true,
"updated_at": "2024-01-15T11:00:00Z"
}
Autorisation
string
requis
Token Bearer pour l’authentification API. Format :
Bearer YOUR_API_KEYParamètres de chemin
string
requis
Identifiant unique pour le domain to update
Paramètres de requête
string
Description optionnelle pour le domaine
Champs de réponse
string
requis
Identifiant unique pour le updated domain
string
requis
Nom du domaine personnalisé
string
Description du domaine
boolean
Si le domaine est vérifié
string
requis
Horodatage ISO 8601 de dernière mise à jour du domaine
⌘I